classification
Title: Upgrade to SQLite v3.32 in Windows and macOS builds
Type: Stage: resolved
Components: macOS, Windows Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Big Stone, erlendaasland, miss-islington, ned.deily, paul.moore, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-05-23 10:32 by erlendaasland, last changed 2020-07-21 00:10 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20520 closed erlendaasland, 2020-05-29 19:01
PR 20705 merged ned.deily, 2020-06-08 02:05
PR 20706 merged miss-islington, 2020-06-08 02:24
PR 20707 merged miss-islington, 2020-06-08 02:24
PR 20708 merged miss-islington, 2020-06-08 02:25
PR 20979 merged erlendaasland, 2020-06-19 12:21
PR 21554 merged miss-islington, 2020-07-20 06:19
PR 21555 merged miss-islington, 2020-07-20 06:20
PR 21570 merged steve.dower, 2020-07-20 22:33
PR 21571 merged miss-islington, 2020-07-20 23:10
PR 21572 merged miss-islington, 2020-07-20 23:10
Messages (21)
msg369711 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-05-23 10:32
SQLite 3.32.0 is out: https://www.sqlite.org/releaselog/3_32_0.html

I'll preparing a PR for cpython-source-deps and cpython.
msg369915 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-05-25 19:49
Patch release is out now: https://www.sqlite.org/releaselog/3_32_1.html
msg370056 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-05-27 08:58
Note: Issue40784 documents a test failure introduced by running with v3.32+.
msg370075 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-05-27 13:26
Ready with PR as soon as GH-20448 is merged and cpython-source-deps (https://github.com/python/cpython-source-deps/pull/19) is merged and tagged.
msg370332 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-05-29 18:53
I've checked and merged the cpython-source-deps update. (For everyone's info, I downloaded the sources myself and checked hashes/etc. as per normal, even though I eventually merged the PR and tagged it manually.)
msg370333 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-05-29 18:55
Thanks, Steve!
msg370851 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-06-06 20:06
SQLite 3.32.2 is out: https://www.sqlite.org/releaselog/3_32_2.html

From the changelog:
Fix a long-standing bug in the byte-code engine that can cause a COMMIT command report as success when in fact it failed to commit. Ticket 810dc8038872e212

I've created a PR for cpython-source-deps.
msg370949 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-06-08 02:24
New changeset 37eed5a9ee7c802e7151ee9939ed604032886639 by Ned Deily in branch 'master':
bpo-40741: Update macOS installer to use SQLite 3.32.2. (GH-20705)
https://github.com/python/cpython/commit/37eed5a9ee7c802e7151ee9939ed604032886639
msg370950 - (view) Author: miss-islington (miss-islington) Date: 2020-06-08 02:42
New changeset d1c449a5c6e1cd1f245ec8b721c0f32675d63872 by Miss Islington (bot) in branch '3.7':
bpo-40741: Update macOS installer to use SQLite 3.32.2. (GH-20705)
https://github.com/python/cpython/commit/d1c449a5c6e1cd1f245ec8b721c0f32675d63872
msg370951 - (view) Author: miss-islington (miss-islington) Date: 2020-06-08 02:43
New changeset 1e72fb2b78277c89b66e92396c84da912a8fa81f by Miss Islington (bot) in branch '3.9':
bpo-40741: Update macOS installer to use SQLite 3.32.2. (GH-20705)
https://github.com/python/cpython/commit/1e72fb2b78277c89b66e92396c84da912a8fa81f
msg370952 - (view) Author: miss-islington (miss-islington) Date: 2020-06-08 02:43
New changeset 264e4fd9619dfab3d9de7f78a46efd8772b03ea6 by Miss Islington (bot) in branch '3.8':
bpo-40741: Update macOS installer to use SQLite 3.32.2. (GH-20705)
https://github.com/python/cpython/commit/264e4fd9619dfab3d9de7f78a46efd8772b03ea6
msg371876 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2020-06-19 10:42
FYI, 3.32.3 is out now: https://sqlite.org/releaselog/3_32_3.html
I'll update the PR and push a new PR for source deps right away.
msg373017 - (view) Author: Big Stone (Big Stone) Date: 2020-07-05 06:41
hello,

Python-3.8.4rc1 and Python-3.9.0b4 are still with SQLite-3.31.1. 

Is it expected ?
msg373985 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-07-20 06:19
New changeset 7cf1cb36ecafabff363790d245f809d3894fbbaf by Erlend Egeberg Aasland in branch 'master':
bpo-40741: Update macOS installer to use SQLite 3.32.3 (GH-20979)
https://github.com/python/cpython/commit/7cf1cb36ecafabff363790d245f809d3894fbbaf
msg373987 - (view) Author: miss-islington (miss-islington) Date: 2020-07-20 06:37
New changeset 2fbb0d8da95b3068dff436f7aacec1058c9b3f2a by Miss Islington (bot) in branch '3.9':
bpo-40741: Update macOS installer to use SQLite 3.32.3 (GH-20979)
https://github.com/python/cpython/commit/2fbb0d8da95b3068dff436f7aacec1058c9b3f2a
msg373988 - (view) Author: miss-islington (miss-islington) Date: 2020-07-20 06:38
New changeset 892fc8d328c65f7fd076b10c94380eccf7427422 by Miss Islington (bot) in branch '3.8':
bpo-40741: Update macOS installer to use SQLite 3.32.3 (GH-20979)
https://github.com/python/cpython/commit/892fc8d328c65f7fd076b10c94380eccf7427422
msg374032 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-07-20 22:25
> Python-3.8.4rc1 and Python-3.9.0b4 are still with SQLite-3.31.1.

Someone still had to send a PR to update the main build. It's not automatic, otherwise you wouldn't be able to reproduce older builds.

I'll do it now. It'll be in 3.8.6 and 3.9.0b6.
msg374033 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-07-20 23:09
New changeset 84761c3cc4bac31d471e371c53a338686d4b0241 by Steve Dower in branch 'master':
bpo-40741: Update Windows build to include SQLite 3.32.3 (GH-21570)
https://github.com/python/cpython/commit/84761c3cc4bac31d471e371c53a338686d4b0241
msg374035 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-07-20 23:20
Closing this one now.

Let's use a new issue next time there's a need to update SQLite.
msg374038 - (view) Author: miss-islington (miss-islington) Date: 2020-07-21 00:09
New changeset f599f9ea3cdcf280cdf3a72272148895d8fcb3a4 by Miss Islington (bot) in branch '3.8':
bpo-40741: Update Windows build to include SQLite 3.32.3 (GH-21570)
https://github.com/python/cpython/commit/f599f9ea3cdcf280cdf3a72272148895d8fcb3a4
msg374039 - (view) Author: miss-islington (miss-islington) Date: 2020-07-21 00:10
New changeset d6ba8c8e16b844e2c21bfe96217dd62dc50e9014 by Miss Islington (bot) in branch '3.9':
bpo-40741: Update Windows build to include SQLite 3.32.3 (GH-21570)
https://github.com/python/cpython/commit/d6ba8c8e16b844e2c21bfe96217dd62dc50e9014
History
Date User Action Args
2020-07-21 00:10:35miss-islingtonsetmessages: + msg374039
2020-07-21 00:09:59miss-islingtonsetmessages: + msg374038
2020-07-20 23:20:13steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg374035

stage: patch review -> resolved
2020-07-20 23:10:11miss-islingtonsetpull_requests: + pull_request20715
2020-07-20 23:10:04miss-islingtonsetpull_requests: + pull_request20714
2020-07-20 23:09:49steve.dowersetmessages: + msg374033
2020-07-20 22:33:11steve.dowersetpull_requests: + pull_request20713
2020-07-20 22:25:11steve.dowersetmessages: + msg374032
2020-07-20 06:38:00miss-islingtonsetmessages: + msg373988
2020-07-20 06:37:57miss-islingtonsetmessages: + msg373987
2020-07-20 06:20:02miss-islingtonsetpull_requests: + pull_request20701
2020-07-20 06:19:55miss-islingtonsetpull_requests: + pull_request20700
2020-07-20 06:19:26ned.deilysetmessages: + msg373985
2020-07-05 06:41:21Big Stonesetnosy: + Big Stone
messages: + msg373017
2020-06-19 12:21:19erlendaaslandsetpull_requests: + pull_request20155
2020-06-19 10:42:45erlendaaslandsetmessages: + msg371876
2020-06-08 02:43:43miss-islingtonsetmessages: + msg370952
2020-06-08 02:43:16miss-islingtonsetmessages: + msg370951
2020-06-08 02:42:24miss-islingtonsetmessages: + msg370950
2020-06-08 02:25:01miss-islingtonsetpull_requests: + pull_request19923
2020-06-08 02:24:53miss-islingtonsetpull_requests: + pull_request19922
2020-06-08 02:24:46miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request19921
2020-06-08 02:24:41ned.deilysetmessages: + msg370949
2020-06-08 02:05:34ned.deilysetpull_requests: + pull_request19920
2020-06-07 07:36:33erlendaaslandsettitle: Upgrade to SQLite v3.32.1 in Windows and macOS builds -> Upgrade to SQLite v3.32 in Windows and macOS builds
2020-06-06 20:06:22erlendaaslandsetmessages: + msg370851
2020-06-01 19:09:12vstinnersetnosy: - vstinner
2020-05-29 19:01:58erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19764
2020-05-29 18:55:01erlendaaslandsetmessages: + msg370333
2020-05-29 18:53:49steve.dowersetmessages: + msg370332
2020-05-27 13:26:50erlendaaslandsetmessages: + msg370075
2020-05-27 13:17:35erlendaaslandsetnosy: + vstinner
2020-05-27 08:58:15ned.deilysetmessages: + msg370056
2020-05-25 19:49:11erlendaaslandsetmessages: + msg369915
2020-05-25 19:48:31erlendaaslandsettitle: Upgrade to SQLite v3.32.0 in Windows and macOS builds -> Upgrade to SQLite v3.32.1 in Windows and macOS builds
2020-05-23 10:32:38erlendaaslandcreate